local LibStub = LibStub
local AceAddon = LibStub("AceAddon-3.0")
local ControlPanel = AceAddon:GetAddon("ControlPanel")
local SetCVar = SetCVar
local GetCVar = GetCVar
local GetCVarBool = GetCVarBool
local type = type
local tonumber = tonumber
--------------------------------------------------------------------------------------
local function get_cvar(c)
	local cvar = GetCVar(c)
	local cvarnum= tonumber(cvar)
	if cvarnum==nil then
		return cvar
	else
		return cvarnum
	end
end

local function get_cvar_bool(c)
	if GetCVarBool(c) then
		return true
	else
		return false
	end
end

function ControlPanel:OnEnable()
	for key,value in pairs(self.db.profile.cvars) do
		SetCVar(key,value)
	end
end

function ControlPanel:SetCVar(key,value)
	self.db.profile.cvars[key]=value
	SetCVar(key,value)
end

function ControlPanel:GetCVar(key)
	if self.db.profile.cvars[key] == nil then
		return get_cvar(key)
	end
	return self.db.profile.cvars[key]
end

function ControlPanel:GetCVarBool(key)
	if self.db.profile.cvars[key] == nil then
		return get_cvar_bool(key)
	end
	return self.db.profile.cvars[key]
end

function ControlPanel:GetCVarString(key)
	if self.db.profile.cvars[key] == nil then
		return GetCVar(key)
	end
	return self.db.profile.cvars[key]
end
