local LibStub = LibStub
local AceAddon = LibStub("AceAddon-3.0")

local ControlPanel = AceAddon:NewAddon("ControlPanel", "AceEvent-3.0","AceConsole-3.0")

--------------------------------------------------------------------------------------
local AceDB = LibStub("AceDB-3.0")
local AceConfigDialog = LibStub("AceConfigDialog-3.0")
local AceConfigCmd = LibStub("AceConfigCmd-3.0")
local GetCVar = GetCVar
local tonumber = tonumber
--------------------------------------------------------------------------------------

local default_options=
{
	profile = 
	{
		cvars = {}
	}
}

function ControlPanel:OnInitialize()
	self.db = AceDB:New("ControlPanelDB",default_options)
	self:RegisterChatCommand("ControlPanel", "ChatCommand")
	self:RegisterChatCommand("CP", "ChatCommand")
end

function ControlPanel:ChatCommand(input)
	if IsAddOnLoaded("ControlPanel_Options") == false then
		local loaded , reason = LoadAddOn("ControlPanel_Options")
		if loaded == false then
			self:Print("ControlPanel_Options: "..reason)
			return
		end
	end
	if not input or input:trim() == "" then
		AceConfigDialog:Open("ControlPanel")
	else
		AceConfigCmd:HandleCommand("ControlPanel", "ControlPanel","")
		AceConfigCmd:HandleCommand("ControlPanel", "ControlPanel",input)
	end
end